Bug 819388 - [thinkpad] Realtek multimedia card reader(Realtek device 5116) can't work on RHEL 6.2 [NEEDINFO]
[thinkpad] Realtek multimedia card reader(Realtek device 5116) can't work on ...
Status: CLOSED EOL
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.2
i386 Linux
unspecified Severity high
: rc
: ---
Assigned To: Don Zickus
Red Hat Kernel QE team
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 02:04 EDT by garrickyang
Modified: 2015-06-04 05:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-04 05:11:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
linville: needinfo? (dzickus)


Attachments (Terms of Use)

  None (edit)
Description garrickyang 2012-05-07 02:04:37 EDT
Realtek multimedia card reader(Realtek device 5116) can't work on RHEL 6.2

Description of problem:
There is no integrated driver for Realtek multimedia card reader(Realtek device
5116) in RHEL 6.2 kernel.  We are doing hardware certification with this card
reader, and can't pass the cert with third-part drivers(rts_pstor). This case
impacted our several machines'
certification(Thinkpad Edge E330.)

Version-Release number of selected component (if applicable):
RHEL 6.2 x86

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL 6.2 on laptop.
2. Check the multimedia card reader if can work.

Actual results:
It can't recognize SD/MMC/SDHC/SDXC cards and there is no driver to used.

Expected results:
It can recognize SD/MMC/SDHC/SDXC cards.
Comment 2 RHEL Product and Program Management 2012-05-11 00:04:25 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 3 Don Zickus 2012-05-11 10:09:29 EDT
rts_pstor needs to be cleaned up and integrated properly upstream before Red Hat can include it in our distribution.

Cheers,
Don
Comment 4 Don Zickus 2012-08-13 17:27:13 EDT
I don't see any movement upstream in the direction of cleaning up this driver.  I do not anticipate this going into RHEL-6 any time soon.

Closing this out for now.  If anything changes and upstream accepts the new version of this driver, then feel free to re-open.

Cheers,
Don
Comment 5 garrickyang 2012-08-26 22:22:50 EDT
Don,
Here is the device vendor Realtek's response:
1.RTK had submit the linux driver source code to Linux, and would like to merge into kernel mainline
2.RTK had modified the source coding style to meet Linux reviewer’s requirement for many rounds
3.In 7/21 Linux had announced the latest version kernel (V3.5), and should be release V3.6 around 9/E/2012
4.RTK’s plan is to finish whole requirement from Linux code reviewer before 9/E/2012, and merge into mainline linux kernel since V3.7

If the driver is merged into kernel 3.7, can it meet the schedule of RHEL 6.4?
Comment 6 Don Zickus 2012-08-27 08:06:05 EDT
Hi,

You will probably have to request an exception from the Red Hat TAM or PM you are working with.  I can not make any promises as your timeframe is rather late in the 6.4 cycle.

Please update the bz, when you have posted something upstream that the upstream maintainer considers good enough to include in his tree for merging.  This way I can get a head start on the backporting process, if this is approved.

Cheers,
Don

Note You need to log in before you can comment on or make changes to this bug.